"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.jsonParse = void 0;

var _plugin = _interopRequireDefault(require("@hark/plugin"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const jsonParse = (parseFn = JSON.parse) => (0, _plugin.default)("jsonParse", _plugin.default.map(({
  files
}, {
  logPath
}) => {
  const newFiles = files.map(file => {
    logPath(file.path);

    if (typeof file.data !== "string") {
      throw new Error(`Expected (typeof file.data) === string for file ` + file.path);
    }

    const json = parseFn(file.data);
    return { ...file,
      json
    };
  });
  return {
    files: newFiles
  };
}));

exports.jsonParse = jsonParse;
var _default = jsonParse;
exports.default = _default;
//# sourceMappingURL=index.js.map